using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("wb_gem"), PrimaryKey("Gkz")]
    public class WbGem {
        [Column("gkz")]
        public int Gkz { get; private set; }

        [Column("hkid")]
        public string HkId { get; private set; } = null!;

        [ForeignKey("Gkz")]
        public virtual AT_Gem AtGem { get; private set; } = null!;

        [ForeignKey("HkId")]
        public virtual WineOrigin Origin { get; private set; } = null!;
    }
}
